Show / Hide Table of Contents

# Interface IFileStreamWriter

Interface for a object that writes to a filesystem wrapper

##### Inherited Members

System.IDisposable.Dispose()

###### Namespace:Microsoft.SqlTools.ServiceLayer.QueryExecution.DataStorage

###### Assembly:Microsoft.SqlTools.ServiceLayer.dll

##### Syntax

    public interface IFileStreamWriter : IDisposable

### Methods

| Improve this Doc View Source

#### FlushBuffer()

##### Declaration

    void FlushBuffer()

| Improve this Doc View Source

#### WriteBoolean(Boolean)

##### Declaration

    int WriteBoolean(bool val)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Boolean | val |

##### Returns

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### WriteByte(Byte)

##### Declaration

    int WriteByte(byte val)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte | val |

##### Returns

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### WriteBytes(Byte[])

##### Declaration

    int WriteBytes(byte[] bytes)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte[] | bytes |

##### Returns

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### WriteChar(Char)

##### Declaration

    int WriteChar(char val)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Char | val |

##### Returns

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### WriteDateTime(DbColumnWrapper, DateTime)

##### Declaration

    int WriteDateTime(DbColumnWrapper column, DateTime val)

##### Parameters

Type | Name | Description
--- | --- | ---
DbColumnWrapper | column |
System.DateTime | val |

##### Returns

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### WriteDateTimeOffset(DateTimeOffset)

##### Declaration

    int WriteDateTimeOffset(DateTimeOffset dtoVal)

##### Parameters

Type | Name | Description
--- | --- | ---
System.DateTimeOffset | dtoVal |

##### Returns

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### WriteDecimal(Decimal)

##### Declaration

    int WriteDecimal(decimal val)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Decimal | val |

##### Returns

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### WriteDouble(Double)

##### Declaration

    int WriteDouble(double val)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Double | val |

##### Returns

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### WriteGuid(Guid)

##### Declaration

    int WriteGuid(Guid val)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Guid | val |

##### Returns

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### WriteInt16(Int16)

##### Declaration

    int WriteInt16(short val)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int16 | val |

##### Returns

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### WriteInt32(Int32)

##### Declaration

    int WriteInt32(int val)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int32 | val |

##### Returns

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### WriteInt64(Int64)

##### Declaration

    int WriteInt64(long val)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Int64 | val |

##### Returns

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### WriteMoney(SqlMoney)

##### Declaration

    int WriteMoney(SqlMoney val)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Data.SqlTypes.SqlMoney | val |

##### Returns

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### WriteNull()

##### Declaration

    int WriteNull()

##### Returns

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### WriteRow(StorageDataReader)

##### Declaration

    int WriteRow(StorageDataReader dataReader)

##### Parameters

Type | Name | Description
--- | --- | ---
StorageDataReader | dataReader |

##### Returns

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### WriteSingle(Single)

##### Declaration

    int WriteSingle(float val)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Single | val |

##### Returns

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### WriteSqlDecimal(SqlDecimal)

##### Declaration

    int WriteSqlDecimal(SqlDecimal val)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Data.SqlTypes.SqlDecimal | val |

##### Returns

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### WriteString(String)

##### Declaration

    int WriteString(string val)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | val |

##### Returns

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### WriteTimeSpan(TimeSpan)

##### Declaration

    int WriteTimeSpan(TimeSpan val)

##### Parameters

Type | Name | Description
--- | --- | ---
System.TimeSpan | val |

##### Returns

Type | Description
--- | ---
System.Int32 |